---
type: api
title: Start or resume reindexing
description: Start a new reindex or resume a paused reindex.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-start-upgrade-reindex
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-start-upgrade-reindex
products:
  - Kibana
---

# Start or resume reindexing

Availability:

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/upgrade_assistant/reindex/{index}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `index` (string)
  The name of the index to reindex.

## Description

Start a new reindex or resume a paused reindex.
The following steps are performed during a reindex task:

1. Set the index to read-only.
1. Create a new index.
1. Reindex documents into the new index.
1. Create an index alias for the new index.
1. Delete the old index.

## Response

Indicates a successful call.

`application/json`

- `errorMessage` (string)
  The error that caused the reindex to fail, if it failed.
- `indexName` (string)
  The name of the old index.
- `lastCompletedStep` (integer)
  The last successfully completed step of the reindex. For example:
- `0`: The reindex task has been created in Kibana. - `10`: The index group services stopped. Only applies to some system indices. - `20`: The index is set to readonly. - `30`: The new destination index has been created. - `40`: The reindex task in Elasticsearch has started. - `50`: The reindex task in Elasticsearch has completed. - `60`: Aliases were created to point to the new index, and the old index has been deleted. - `70`: The index group services have resumed. Only applies to some system indices.
- `newIndexName` (string)
  The name of the new index.
- `reindexTaskId` (string)
  The task ID of the reindex task in Elasticsearch. This value appears when the reindexing starts.
- `reindexTaskPercComplete` (number)
  The progress of the reindexing task in Elasticsearch. It appears in decimal form, from 0 to 1.
- `status` (integer)
  The reindex status. For example:
- `0`: In progress - `1`: Completed - `2`: Failed - `3`: Paused
## Code Examples

#### Console

```console
POST /api/upgrade_assistant/reindex/{index}
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/upgrade_assistant/reindex/{index}"
```

## Response Examples

#### Start upgrade reindex response example1

```json
{
  "indexName": ".ml-state",
  "newIndexName": ".reindexed-v7-ml-state", 
  "status": 0, 
  "lastCompletedStep": 0, 
  "reindexTaskId": null, 
  "reindexTaskPercComplete": null, 
  "errorMessage": null 
}
```

